# Uses of Enum
com.databricks.jdbc.common.AuthMech

Packages that use AuthMech
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.model.telemetry

## Uses of AuthMech in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return AuthMech
Modifier and Type
Method
Description
`AuthMech`
DatabricksConnectionContext.`getAuthMech()`

## Uses of AuthMech in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return AuthMech
Modifier and Type
Method
Description
`AuthMech`
IDatabricksConnectionContext.`getAuthMech()`

## Uses of AuthMech in com.databricks.jdbc.common

Subclasses with type arguments of type AuthMech in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`AuthMech`
Methods in com.databricks.jdbc.common that return AuthMech
Modifier and Type
Method
Description
`static AuthMech`
AuthMech.`parseAuthMech(String authMech)`
`static AuthMech`
AuthMech.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthMech[]`
AuthMech.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of AuthMech in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry with parameters of type AuthMech
Modifier and Type
Method
Description
`DriverConnectionParameters`
DriverConnectionParameters.`setAuthMech(AuthMech authMech)`